# wxAuiDefaultToolBarArt Class Reference
[Window Docking (wxAUI)]

`#include <wx/aui/toolbar.h>`

Inheritance diagram for wxAuiDefaultToolBarArt:
[legend]

## Detailed Description

wxAuiDefaultToolBarArt is part of the wxAUI class framework.

See also wxAuiToolBarArt , wxAuiToolBar and wxAUI Overview.

##

Library: wxAui

Category: Window Docking (wxAUI)

## Public Member Functions
| wxAuiDefaultToolBarArt ()
virtual | ~wxAuiDefaultToolBarArt ()
virtual wxAuiToolBarArt * | Clone ()
virtual void | SetFlags (unsigned int flags)
virtual unsigned int | GetFlags ()
virtual void | SetFont (const wxFont &font)
virtual wxFont | GetFont ()
virtual void | SetTextOrientation (int orientation)
virtual int | GetTextOrientation ()
virtual void | DrawBackground (wxDC &dc, wxWindow *wnd, const wxRect &rect)
virtual void | DrawLabel (wxDC &dc, wxWindow *wnd, const wxAuiToolBarItem &item, const wxRect &rect)
virtual void | DrawButton (wxDC &dc, wxWindow *wnd, const wxAuiToolBarItem &item, const wxRect &rect)
virtual void | DrawDropDownButton (wxDC &dc, wxWindow *wnd, const wxAuiToolBarItem &item, const wxRect &rect)
virtual void | DrawControlLabel (wxDC &dc, wxWindow *wnd, const wxAuiToolBarItem &item, const wxRect &rect)
virtual void | DrawSeparator (wxDC &dc, wxWindow *wnd, const wxRect &rect)
virtual void | DrawGripper (wxDC &dc, wxWindow *wnd, const wxRect &rect)
virtual void | DrawOverflowButton (wxDC &dc, wxWindow *wnd, const wxRect &rect, int state)
virtual wxSize | GetLabelSize (wxDC &dc, wxWindow *wnd, const wxAuiToolBarItem &item)
virtual wxSize | GetToolSize (wxDC &dc, wxWindow *wnd, const wxAuiToolBarItem &item)
virtual int | GetElementSize (int element)
virtual void | SetElementSize (int element_id, int size)
virtual int | ShowDropDown (wxWindow *wnd, const wxAuiToolBarItemArray &items)

List of all members.

## Constructor & Destructor Documentation

wxAuiDefaultToolBarArt::wxAuiDefaultToolBarArt | ( |  | ) |

virtual wxAuiDefaultToolBarArt::~wxAuiDefaultToolBarArt | ( |  | ) | `[virtual]`

## Member Function Documentation

virtual wxAuiToolBarArt* wxAuiDefaultToolBarArt::Clone | ( |  | ) | `[virtual]`

Implements wxAuiToolBarArt.

virtual void wxAuiDefaultToolBarArt::DrawBackground | ( | wxDC & | dc,
|  | wxWindow * | wnd,
|  | const wxRect & | rect |
| ) |  |  | `[virtual]`

Implements wxAuiToolBarArt.

virtual void wxAuiDefaultToolBarArt::DrawButton | ( | wxDC & | dc,
|  | wxWindow * | wnd,
|  | const wxAuiToolBarItem & | item,
|  | const wxRect & | rect |
| ) |  |  | `[virtual]`

Implements wxAuiToolBarArt.

virtual void wxAuiDefaultToolBarArt::DrawControlLabel | ( | wxDC & | dc,
|  | wxWindow * | wnd,
|  | const wxAuiToolBarItem & | item,
|  | const wxRect & | rect |
| ) |  |  | `[virtual]`

Implements wxAuiToolBarArt.

virtual void wxAuiDefaultToolBarArt::DrawDropDownButton | ( | wxDC & | dc,
|  | wxWindow * | wnd,
|  | const wxAuiToolBarItem & | item,
|  | const wxRect & | rect |
| ) |  |  | `[virtual]`

Implements wxAuiToolBarArt.

virtual void wxAuiDefaultToolBarArt::DrawGripper | ( | wxDC & | dc,
|  | wxWindow * | wnd,
|  | const wxRect & | rect |
| ) |  |  | `[virtual]`

Implements wxAuiToolBarArt.

virtual void wxAuiDefaultToolBarArt::DrawLabel | ( | wxDC & | dc,
|  | wxWindow * | wnd,
|  | const wxAuiToolBarItem & | item,
|  | const wxRect & | rect |
| ) |  |  | `[virtual]`

Implements wxAuiToolBarArt.

virtual void wxAuiDefaultToolBarArt::DrawOverflowButton | ( | wxDC & | dc,
|  | wxWindow * | wnd,
|  | const wxRect & | rect,
|  | int | state |
| ) |  |  | `[virtual]`

Implements wxAuiToolBarArt.

virtual void wxAuiDefaultToolBarArt::DrawSeparator | ( | wxDC & | dc,
|  | wxWindow * | wnd,
|  | const wxRect & | rect |
| ) |  |  | `[virtual]`

Implements wxAuiToolBarArt.

virtual int wxAuiDefaultToolBarArt::GetElementSize | ( | int | element | ) | `[virtual]`

Implements wxAuiToolBarArt.

virtual unsigned int wxAuiDefaultToolBarArt::GetFlags | ( |  | ) | `[virtual]`

Implements wxAuiToolBarArt.

virtual wxFont wxAuiDefaultToolBarArt::GetFont | ( |  | ) | `[virtual]`

Implements wxAuiToolBarArt.

virtual wxSize wxAuiDefaultToolBarArt::GetLabelSize | ( | wxDC & | dc,
|  | wxWindow * | wnd,
|  | const wxAuiToolBarItem & | item |
| ) |  |  | `[virtual]`

Implements wxAuiToolBarArt.

virtual int wxAuiDefaultToolBarArt::GetTextOrientation | ( |  | ) | `[virtual]`

Implements wxAuiToolBarArt.

virtual wxSize wxAuiDefaultToolBarArt::GetToolSize | ( | wxDC & | dc,
|  | wxWindow * | wnd,
|  | const wxAuiToolBarItem & | item |
| ) |  |  | `[virtual]`

Implements wxAuiToolBarArt.

virtual void wxAuiDefaultToolBarArt::SetElementSize | ( | int | element_id,
|  | int | size |
| ) |  |  | `[virtual]`

Implements wxAuiToolBarArt.

virtual void wxAuiDefaultToolBarArt::SetFlags | ( | unsigned int | flags | ) | `[virtual]`

Implements wxAuiToolBarArt.

virtual void wxAuiDefaultToolBarArt::SetFont | ( | const wxFont & | font | ) | `[virtual]`

Implements wxAuiToolBarArt.

virtual void wxAuiDefaultToolBarArt::SetTextOrientation | ( | int | orientation | ) | `[virtual]`

Implements wxAuiToolBarArt.

virtual int wxAuiDefaultToolBarArt::ShowDropDown | ( | wxWindow * | wnd,
|  | const wxAuiToolBarItemArray & | items |
| ) |  |  | `[virtual]`

Implements wxAuiToolBarArt.

|  | [ top ]